[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: [libvirt] Libvirt 0.7.7 compile under mingw



[let's keep the list in the loop]

On 03/10/2010 01:32 PM, Dev.Atom wrote:
> Hi,
> 
> and thanks for your help.
> 
> with "make V=1" I have this :
> 
> libtool: compile: gcc -DHAVE_CONFIG_H -I. -I.. -I../gnulib/lib
> -I../gnulib/lib -I../include -I../src/util -I../include
> -I/mingw//include/libxml2 -DLIBDIR=\\\\/mingw/lib\\\\
> -DBINDIR=\\\\/mingw/libexec\\\\ -DSBINDIR=\\\\/mingw/sbin\\\\
> -DSYSCONF_DIR=\\\\/mingw/etc\\\\
> -DLOCALEBASEDIR=\\\\/mingw/share/locale\\\\
> -DPKGDATADIR=\\\\/mingw/share/libvirt\\\\
> -DLOCAL_STATE_DIR=\\\\/mingw/var\\\\ "-DGETTEXT_PACKAGE=\\libvirt\\
> -Wall" -Wformat -Wformat-security -Wmissing-prototypes -Wnested-externs
> -Wpointer-arith -Wextra -Wshadow -Wcast-align -Wwrite-strings
> -Waggregate-return -Wstrict-prototypes -Winline -Wredundant-decls
> -Wno-sign-compare -Wp,-D_FORTIFY_SOURCE=2 -fexceptions
> -fasynchronous-unwind-tables -I/mingw/include -g -O2 -MT
> libvirt_util_la-conf.lo -MD -MP -MF .deps/libvirt_util_la-conf.Tpo -c
> util/conf.c  -DDLL_EXPORT -DPIC -o .libs/libvirt_util_la-conf.o
> In file included from util/conf.c:24:
> util/util.h:119: error: syntax error before "uid_t"
> util/util.h:121: warning: function declaration isn't a prototype
> util/util.h:129: error: syntax error before "uid_t"
> util/util.h:130: warning: function declaration isn't a prototype

All right, the next thing I asked for was the region of the preprocessed
sources close to the error.  Something like:

gcc -E  -DHAVE_CONFIG_H -I. -I.. -I../gnulib/lib -I../gnulib/lib
-I../include -I../src/util -I../include -I/mingw//include/libxml2
-DLIBDIR=\\\\/mingw/lib\\\\ -DBINDIR=\\\\/mingw/libexec\\\\
-DSBINDIR=\\\\/mingw/sbin\\\\ -DSYSCONF_DIR=\\\\/mingw/etc\\\\
-DLOCALEBASEDIR=\\\\/mingw/share/locale\\\\
-DPKGDATADIR=\\\\/mingw/share/libvirt\\\\
-DLOCAL_STATE_DIR=\\\\/mingw/var\\\\ -I/mingw/include -g -O2 util/conf.c
 -DDLL_EXPORT -DPIC

> 
> Here are the depndencies version (mayabe shoud I use another gnulib
> version, I don't know) :
> 
> gnutls-2.8.5
> libgcrypt-1.4.5
> libgpg-error-1.7
> libxml2-2.7.6
> portablexdr-4.9.1

Are you building from a release or from git?

-- 
Eric Blake   eblake redhat com    +1-801-349-2682
Libvirt virtualization library http://libvirt.org

Attachment: signature.asc
Description: OpenPGP digital signature


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]